Subject: Re: [PATCH/RFC] Do not show "diff --git" metainfo with --no-prefix

From: Junio C Hamano <[email-masked]>
Date: Tue, 15 Jan 2008 18:15:58 -0800

Daniel Barkalow <[email-masked]> writes:

> At most, I think, if a_one and b_two are identical, we could use the 
> "Index:" form, since "diff -ur something something" is weird (how can 
> "something" be different from itself?).

I think you can have --src-prefix=a- --dst-prefix=b- and see
"diff a-foo b-foo" ;-).  I really do not care much either way,
as long as it does not say "diff --git".

This is also an offtopic remark but I have been wondering how
safe those fake "diff --git" output people seem to be able to
get out of recent-enough Hg.